Basic Verify Aadhaar API
Introduction
The Basic Aadhaar verification API takes aadhaar number an input then the data is checked against government and other trusted ledgers for correctness. A After proper verification API just returns with true/false indicating that either input aadhaar is correct or not.
How to call the API
Before going for Verify Aadhaar, you first need to create an Identity object. Then the verification step should be executed once the data has been validated for correctness.
API Input Guidelines
- Aadhaar number
Step 1: Hit Identities API
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron ID>/identities' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "aadhaar",
"email": "<email Id>",
"callbackUrl": "https://www.w3schools.com",
"images": [<images Url>]
}'
Identity Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
type | String | type of document |
String | mail Id of person | |
callbackUrl | String | URL where response will be posted |
images | Array | It is the url of images |
accessToken | String | Contains the access token that was received from identity request |
autoRecognition | String | autorecognition |
verification | String | It verifies |
forgeryCheck | String | It checks for forgery occurances |
id | String | Contains the Identity object id |
patronId | String | Unique user ID |
Step 2: Hit Snoops API and receives a response
curl --location --request POST 'https://signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
"service": "Identity",
"itemId": "<Item ID>",
"accessToken": "<Access Token>",
"task": "verifyAadhaar",
"essentials": {
"uid": "<Aadhaar number>"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
accessToken | String | Contains the access token that was received from identity request |
id | String | Contains the patron Id of the snoop request |
response.id | String | |
response.result.verified | Boolean | This returns whether the request aadhaar number is true or false |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].